QGIS Application - Bug report #7353
Snapping is always on in current master
2013-03-14 01:41 AM - Andreas Neumann

Status: Closed
Priority: Severe/Regression
Assignee: Jurgen Fischer

Category: Digitising
Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16330

Description

In current master (commit:2c4ac08 from 2013-03-13) snapping is always active, even it is turned off in the snapping options.

Associated revisions

Revision b87ccac5 - 2013-06-02 11:26 PM - Jiirgen Fischer

fix #7353

Revision 3a33ceb2 - 2013-06-03 05:31 PM - Jiirgen Fischer

fix #7353 in case the snapping dialog is not docked

History

#1 - 2013-03-14 01:46 AM - Giovanni Manghi
- Priority changed from Normal to Severe/Regression

#2 - 2013-03-14 01:47 AM - Andreas Neumann

Steps to reproduce:

- Empty project
- load shapefile

- start digitizing --> snapping is active even if it is not turned on in the snap settings dialog

#3 - 2013-03-14 01:50 AM - Andreas Neumann

Things are even worse:

once | start changing snapping settings - | cannot digitise anymore - | always get the error message:

Could not snap segment - did you set the snap tolerance in Settings > Project Settings > General?

So - there seems to be something quite messed up with snapping currently.

#4 - 2013-03-19 09:21 AM - Regis Haubourg
Not reproduced on commit:32de07d osgeo4w.

#5 - 2013-04-14 09:34 AM - vinayan Parameswaran
here is one thing that i noted in commit:5feebe1
- snapping is on even though the settings->snapping option is not checked for the layer when qgis starts up.
- if you just click the apply without changing anything snapping is really disabled.
- From then on, everything works as normal
#6 - 2013-05-27 06:11 AM - Andreas Neumann
yes - | can confirm that. Once the "Apply" button is pressed the snapping is turned off correctly. However, initially it is activated, even when it is displayed
as turned off in the snap settings panel.
#7 - 2013-05-28 07:33 AM - Jiirgen Fischer
- Assignee set to Jirgen Fischer

#8 - 2013-05-29 02:59 PM - Jiirgen Fischer

Looks like that's intentional - it follows the defaults in options / digitizing.

#9 - 2013-05-30 12:02 AM - Andreas Neumann

hm - but there is no way to disable snapping by default.

In "Options" one can only set the default snap mode, the snapping tolerance and search radius. No way to turn it on/off globally.

Also - if it were turned on by default - the snap option dialogue needs to indicate that by having the checkbox turned on - but it is turned off. So it seems the
checkboxes are out of sync with the setting.

| do not think the current behaviour is satisfying.

#10 - 2013-06-02 02:26 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"b87ccac52051050afcc05a1albe74bal346c02598".

#11 - 2013-06-03 04:50 AM - Andreas Neumann

- Status changed from Closed to Reopened

Hi Jargen,

Thank you for working on this problem.

| can see the Default Snap Mode "Off" option now - this is good.
However, if this option is on (e.g. vertex), and a user adds a new layer, the snapping is on (correct) but shown as "off" in the snapping options dialogue

(incorrect). So this part of the bug is not yet fixed. The disconnectedness of the Snapping options dialogue. This dialogue should always reflect the current

state - but it doesn't. Do you understand my problem?

| re-opened the bug therefore again. Or should | open a new bug?

Andreas

#12 - 2013-06-03 08:32 AM - Jiirgen Fischer
- Status changed from Reopened to Closed

Fixed in changeset commit:"3a33ceb2565008ec5977cd6aa145133b35206aff".
